class Test : DockPanel {
    FrameBuffer frameBuffer;
    SceneCamera sceneCamera;
    Environment mainEnv;

    void onRender() {
        if (!frameBuffer.isValid())
            return;
            
        UI::text("Works");

        frameBuffer.clearRGBA(0, 0, 0, 255);

        mainEnv.render(frameBuffer, sceneCamera);
        UI::drawFrameBufferCentered(frameBuffer, 400, 400);
    }

    void onInit() {

        Engine::print("hi!!");

        frameBuffer = Engine::createRGBA8FrameBuffer("MainFrameBuffer", 400, 400);
        mainEnv = Engine::getMainEnvironment();

        sceneCamera.transform.position = vec3(0, 1, -2);
    }
}
                                                